Bug 1571997 - [abrt] cinnamon: streamAdded(): cs_sound.py:775:streamAdded:TypeError: unsupported operand type(s) for +: 'NoneType' and 'str'
Summary: [abrt] cinnamon: streamAdded(): cs_sound.py:775:streamAdded:TypeError: unsupp...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon
Version: 28
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alternative GTK desktop environments
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5098109fc720573d0d9c2025bc8...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 22:17 UTC by Paul Montalvan
Modified: 2018-10-01 02:47 UTC (History)
4 users (show)

Fixed In Version: cinnamon-3.8.9-1.fc29 cinnamon-3.8.9-1.fc27 cinnamon-3.8.9-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-30 23:26:29 UTC


Attachments (Terms of Use)
File: backtrace (656 bytes, text/plain)
2018-04-25 22:17 UTC, Paul Montalvan
no flags Details
File: cgroup (318 bytes, text/plain)
2018-04-25 22:17 UTC, Paul Montalvan
no flags Details
File: cpuinfo (1.35 KB, text/plain)
2018-04-25 22:17 UTC, Paul Montalvan
no flags Details
File: environ (1.33 KB, text/plain)
2018-04-25 22:17 UTC, Paul Montalvan
no flags Details
File: mountinfo (3.33 KB, text/plain)
2018-04-25 22:17 UTC, Paul Montalvan
no flags Details
File: namespaces (129 bytes, text/plain)
2018-04-25 22:17 UTC, Paul Montalvan
no flags Details
File: open_fds (1.27 KB, text/plain)
2018-04-25 22:17 UTC, Paul Montalvan
no flags Details

Description Paul Montalvan 2018-04-25 22:17:18 UTC
Description of problem:
i just play and  music  did not sound

Version-Release number of selected component:
cinnamon-3.6.8-0.7.20180328git8262210.fc28

Additional info:
reporter:       libreport-2.9.4
cmdline:        /usr/bin/python3 /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py sound
crash_function: streamAdded
exception_type: TypeError
executable:     /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py
interpreter:    python3-3.6.5-1.fc28.i686
kernel:         4.16.3-300.fc28.i686
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
cs_sound.py:775:streamAdded:TypeError: unsupported operand type(s) for +: 'NoneType' and 'str'

Traceback (most recent call last):
  File "/usr/share/cinnamon/cinnamon-settings/modules/cs_sound.py", line 775, in streamAdded
    self.appList[id] = VolumeBar(self.controller.get_vol_max_norm(), 100, stream.props.name + ": ", stream.get_gicon())
TypeError: unsupported operand type(s) for +: 'NoneType' and 'str'

Local variables in innermost frame:
stream: <Cvc.MixerSinkInput object at 0xaa61c694 (GvcMixerSinkInput at 0x188ea78)>
id: 8
c: <Cvc.MixerControl object at 0xaa1982ac (GvcMixerControl at 0x1323220)>
self: <cs_sound.Module object at 0xaa2b048c>

Comment 1 Paul Montalvan 2018-04-25 22:17:23 UTC
Created attachment 1426893 [details]
File: backtrace

Comment 2 Paul Montalvan 2018-04-25 22:17:25 UTC
Created attachment 1426894 [details]
File: cgroup

Comment 3 Paul Montalvan 2018-04-25 22:17:26 UTC
Created attachment 1426895 [details]
File: cpuinfo

Comment 4 Paul Montalvan 2018-04-25 22:17:27 UTC
Created attachment 1426896 [details]
File: environ

Comment 5 Paul Montalvan 2018-04-25 22:17:29 UTC
Created attachment 1426897 [details]
File: mountinfo

Comment 6 Paul Montalvan 2018-04-25 22:17:30 UTC
Created attachment 1426898 [details]
File: namespaces

Comment 7 Paul Montalvan 2018-04-25 22:17:32 UTC
Created attachment 1426899 [details]
File: open_fds

Comment 8 Subliminal_Sabotage 2018-05-29 05:40:23 UTC
Similar problem has been detected:

habilite el ecualizador de pulse audio

reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py panel 2
crash_function: streamAdded
exception_type: TypeError
executable:     /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py
interpreter:    python3-3.6.5-1.fc28.i686
kernel:         4.16.11-300.fc28.x86_64
package:        cinnamon-3.8.2-1.fc28
reason:         cs_sound.py:775:streamAdded:TypeError: unsupported operand type(s) for +: 'NoneType' and 'str'
runlevel:       N 5
type:           Python3
uid:            1000

Comment 9 Shubham 2018-07-10 17:19:21 UTC
Similar problem has been detected:

I think it is caused when i use paprefs for listening to my bluetooth headset and earphones simultaneously. 

reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py sound
crash_function: streamAdded
exception_type: TypeError
executable:     /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py
interpreter:    python3-3.6.5-1.fc28.x86_64
kernel:         4.17.3-200.fc28.x86_64
package:        cinnamon-3.8.7-1.fc28
reason:         cs_sound.py:775:streamAdded:TypeError: unsupported operand type(s) for +: 'NoneType' and 'str'
runlevel:       N 5
type:           Python3
uid:            1000

Comment 10 Shubham 2018-07-13 08:05:48 UTC
Similar problem has been detected:

When i use paprefs the sound crashes.

reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py sound
crash_function: streamAdded
exception_type: TypeError
executable:     /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py
interpreter:    python3-3.6.5-1.fc28.x86_64
kernel:         4.17.3-200.fc28.x86_64
package:        cinnamon-3.8.7-1.fc28
reason:         cs_sound.py:775:streamAdded:TypeError: unsupported operand type(s) for +: 'NoneType' and 'str'
runlevel:       N 5
type:           Python3
uid:            1000

Comment 11 ghost53947 2018-07-18 13:24:19 UTC
Similar problem has been detected:

This problem happened by making a bluetooth source, which was already an input the ouput source as well. 

reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py sound
crash_function: streamAdded
exception_type: TypeError
executable:     /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py
interpreter:    python3-3.6.5-1.fc28.x86_64
kernel:         4.17.5-200.fc28.x86_64
package:        cinnamon-3.8.7-1.fc28
reason:         cs_sound.py:775:streamAdded:TypeError: unsupported operand type(s) for +: 'NoneType' and 'str'
runlevel:       N 5
type:           Python3
uid:            1000

Comment 12 kaass5 2018-09-07 17:32:56 UTC
Similar problem has been detected:

no sound from the on motherboard sound port

reporter:       libreport-2.9.5
cmdline:        /usr/bin/python3 /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py sound
crash_function: streamAdded
exception_type: TypeError
executable:     /usr/share/cinnamon/cinnamon-settings/cinnamon-settings.py
interpreter:    python3-3.6.6-1.fc28.x86_64
kernel:         4.17.14-202.fc28.x86_64
package:        cinnamon-3.8.8-1.fc28
reason:         cs_sound.py:775:streamAdded:TypeError: unsupported operand type(s) for +: 'NoneType' and 'str'
runlevel:       N 5
type:           Python3
uid:            1000

Comment 13 Fedora Update System 2018-09-21 18:37:58 UTC
cinnamon-3.8.9-1.fc29 cinnamon-control-center-3.8.2-1.fc29 cinnamon-settings-daemon-3.8.6-1.fc29 muffin-3.8.3-1.fc29 nemo-3.8.6-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-248024aacb

Comment 14 Fedora Update System 2018-09-21 18:38:24 UTC
cinnamon-3.8.9-1.fc27 cinnamon-control-center-3.8.2-1.fc27 cinnamon-settings-daemon-3.8.6-1.fc27 muffin-3.8.3-1.fc27 nemo-3.8.6-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-b1954e7d77

Comment 15 Fedora Update System 2018-09-21 18:38:51 UTC
cinnamon-3.8.9-1.fc28 cinnamon-control-center-3.8.2-1.fc28 cinnamon-settings-daemon-3.8.6-1.fc28 muffin-3.8.3-1.fc28 nemo-3.8.6-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9f75cb1224

Comment 16 Fedora Update System 2018-09-22 20:05:36 UTC
cinnamon-3.8.9-1.fc29, cinnamon-control-center-3.8.2-1.fc29, cinnamon-settings-daemon-3.8.6-1.fc29, muffin-3.8.3-1.fc29, nemo-3.8.6-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-248024aacb

Comment 17 Fedora Update System 2018-09-22 20:42:01 UTC
cinnamon-3.8.9-1.fc27, cinnamon-control-center-3.8.2-1.fc27, cinnamon-settings-daemon-3.8.6-1.fc27, muffin-3.8.3-1.fc27, nemo-3.8.6-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-b1954e7d77

Comment 18 Fedora Update System 2018-09-22 22:14:16 UTC
cinnamon-3.8.9-1.fc28, cinnamon-control-center-3.8.2-1.fc28, cinnamon-settings-daemon-3.8.6-1.fc28, muffin-3.8.3-1.fc28, nemo-3.8.6-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9f75cb1224

Comment 19 Fedora Update System 2018-09-30 23:26:29 UTC
cinnamon-3.8.9-1.fc29, cinnamon-control-center-3.8.2-1.fc29, cinnamon-settings-daemon-3.8.6-1.fc29, muffin-3.8.3-1.fc29, nemo-3.8.6-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-10-01 01:22:37 UTC
cinnamon-3.8.9-1.fc27, cinnamon-control-center-3.8.2-1.fc27, cinnamon-settings-daemon-3.8.6-1.fc27, muffin-3.8.3-1.fc27, nemo-3.8.6-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2018-10-01 02:47:01 UTC
cinnamon-3.8.9-1.fc28, cinnamon-control-center-3.8.2-1.fc28, cinnamon-settings-daemon-3.8.6-1.fc28, muffin-3.8.3-1.fc28, nemo-3.8.6-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.